﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MindFusion.Scheduling.Wpf;

namespace Stundenverwaltung.ViewModel
{
    public class MainWindowVM : Observable
    {
        public MainWindowVM()
        {
            DateCollection = FillDateCollection();
            CellTime = TimeSpan.FromMinutes(15);
            Theme = ThemeType.Windows2003;
        }

        public DateCollection FillDateCollection()
        {
            DateCollection datecollection = new DateCollection();
            datecollection.Add(DateTime.Today.AddDays(-2));
            datecollection.Add(DateTime.Today.AddDays(-1));
            datecollection.Add(DateTime.Today);
            datecollection.Add(DateTime.Today.AddDays(1));
            datecollection.Add(DateTime.Today.AddDays(2));
            return datecollection;
        }
        private DateCollection _datecollection = new DateCollection();
        public DateCollection DateCollection
        {
            get { return _datecollection; }
            set { _datecollection = value; RaisePropertyChanged("DateCollection"); }
        }

        private TimeSpan _celltime = new TimeSpan();
        public TimeSpan CellTime
        {
            get { return _celltime; }
            set { _celltime = value; RaisePropertyChanged("CellTime"); }
        }

        private ThemeType _theme = new ThemeType();
        public ThemeType Theme
        {
            get { return _theme; }
            set { _theme = value; RaisePropertyChanged("Theme"); }
        }
    }
}
